Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
GETPCI Device OperationsSince 3.5.0SynchronousAuth Required

QueryMdevDevice

QueryMdevDevice

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • parentUuidStringRequired

      The UUID of the physical PCI device.

    • hostUuidStringRequired

      The host UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • mdevSpecUuidStringRequired

      The UUID of the MDEV device specification.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeMdevDeviceTypeRequired

      See type.

      • GPU_Video_ControllerMdevDeviceTypeRequired

        The GPU video controller.

    • stateMdevDeviceStateRequired

      See state.

      • EnabledMdevDeviceStateRequired

        The MDEV device is enabled.

      • DisabledMdevDeviceStateRequired

        The MDEV device is disabled.

    • statusMdevDeviceStatusRequired

      See status.

      • ActiveMdevDeviceStatusRequired

        The MDEV device is active.

      • AttachedMdevDeviceStatusRequired

        The MDEV device is attached.

Endpoint

GET/zstack/v1/mdev-devices

/zstack/v1/mdev-devices

Operation ID

QueryMdevDevice

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/mdev-devices' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "597624b580d1458f82671b0ef77cf6a4", "name": "GRID M60-2A", "parentUuid": "90c171f07b21452b87b6d5ee58f4d687", "hostUuid": "b440c9393fc644cc8394d789ea1e18e1", "mdevSpecUuid": "91b07312092741f18a382942a92f1373", "type": "GPU_Video_Controller", "state": "Enabled", "status": "Active", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history